Debian Bug report logs - #602051
mozilla-devscripts: Please make xpi:Recommends generate versioned target applications

version graph

Package: mozilla-devscripts; Maintainer for mozilla-devscripts is Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>; Source for mozilla-devscripts is src:mozilla-devscripts.

Reported by: Gabriele Giacone <1o5g4r8o@gmail.com>

Date: Mon, 1 Nov 2010 02:06:01 UTC

Severity: wishlist

Found in version mozilla-devscripts/0.23

Fixed in version mozilla-devscripts/0.25

Done: Benjamin Drung <bdrung@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>:
Bug#602051; Package mozilla-devscripts. (Mon, 01 Nov 2010 02:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriele Giacone <1o5g4r8o@gmail.com>:
New Bug report received and forwarded. Copy sent to Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>. (Mon, 01 Nov 2010 02:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gabriele Giacone <1o5g4r8o@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mozilla-devscripts: Please make xpi:Recommends generate versioned target applications
Date: Mon, 1 Nov 2010 03:02:56 +0100
Package: mozilla-devscripts
Version: 0.23
Severity: wishlist

Example:
currently, following install.rdf:

    <targetApplication><rdf:Description>
      <!--Firefox--><id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</id>
      <minVersion>3.6</minVersion>
      <maxVersion>4.0b2pre</maxVersion>
    </rdf:Description></targetApplication>

produces

Recommends: iceweasel
(and "Recommends: firefox" on ubuntu I suppose)

Could you please include min/max required application versions?

Something like
Recommends: iceweasel (>= 3.6)





Information forwarded to debian-bugs-dist@lists.debian.org, Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>:
Bug#602051; Package mozilla-devscripts. (Sun, 14 Nov 2010 22:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Drung <bdrung@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>. (Sun, 14 Nov 2010 22:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 602051@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@ubuntu.com>
To: Gabriele Giacone <1o5g4r8o@gmail.com>, 602051@bugs.debian.org
Subject: Re: Bug#602051: mozilla-devscripts: Please make xpi:Recommends generate versioned target applications
Date: Sun, 14 Nov 2010 23:29:23 +0100
[Message part 1 (text/plain, inline)]
Am Montag, den 01.11.2010, 03:02 +0100 schrieb Gabriele Giacone:
> Package: mozilla-devscripts
> Version: 0.23
> Severity: wishlist
> 
> Example:
> currently, following install.rdf:
> 
>     <targetApplication><rdf:Description>
>       <!--Firefox--><id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</id>
>       <minVersion>3.6</minVersion>
>       <maxVersion>4.0b2pre</maxVersion>
>     </rdf:Description></targetApplication>
> 
> produces
> 
> Recommends: iceweasel
> (and "Recommends: firefox" on ubuntu I suppose)
> 
> Could you please include min/max required application versions?

We could set min and max version if only one package is listed in
Recommends. For example
Recommends: iceweasel (>= 3.6), iceweasel (<= 4.0~b2pre)

But what should mozilla-devscripts do if alternatives like "iceweasel |
icedove" are generated?

> Something like
> Recommends: iceweasel (>= 3.6)

Setting the min version is doable, but all mozilla application have to
follow one conversion rule for converting upstream versions to debian
versions (e.g. 4.0b2pre -> 4.0~b2pre).

-- 
Benjamin Drung
Ubuntu Developer (www.ubuntu.com) | Debian Maintainer (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>:
Bug#602051; Package mozilla-devscripts. (Mon, 15 Nov 2010 13:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriele Giacone <1o5g4r8o@gmail.com>:
Extra info received and forwarded to list. Copy sent to Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>. (Mon, 15 Nov 2010 13:24:07 GMT) Full text and rfc822 format available.

Message #15 received at 602051@bugs.debian.org (full text, mbox):

From: Gabriele Giacone <1o5g4r8o@gmail.com>
To: Benjamin Drung <bdrung@ubuntu.com>
Cc: 602051@bugs.debian.org
Subject: Re: Bug#602051: mozilla-devscripts: Please make xpi:Recommends generate versioned target applications
Date: Mon, 15 Nov 2010 14:21:25 +0100
On Sun, Nov 14, 2010 at 11:29 PM, Benjamin Drung <bdrung@ubuntu.com> wrote:
> Am Montag, den 01.11.2010, 03:02 +0100 schrieb Gabriele Giacone:
>> Could you please include min/max required application versions?
>
> We could set min and max version if only one package is listed in
> Recommends. For example
> Recommends: iceweasel (>= 3.6), iceweasel (<= 4.0~b2pre)
>
> But what should mozilla-devscripts do if alternatives like "iceweasel |
> icedove" are generated?

double recommendation?
Recommends: iceweasel (>= 3.6), iceweasel (<= 4.0~b2pre), icedove (>=
3.1), icedove (<= 3.1.6)
Any existing extension which recommends both?

>> Something like
>> Recommends: iceweasel (>= 3.6)
>
> Setting the min version is doable, but all mozilla application have to
> follow one conversion rule for converting upstream versions to debian
> versions (e.g. 4.0b2pre -> 4.0~b2pre).

Yes, and adding even <=maxVersion if exists wouldn't be bad.




Information forwarded to debian-bugs-dist@lists.debian.org, Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>:
Bug#602051; Package mozilla-devscripts. (Mon, 15 Nov 2010 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Coulson <chris.coulson@canonical.com>:
Extra info received and forwarded to list. Copy sent to Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>. (Mon, 15 Nov 2010 14:51:04 GMT) Full text and rfc822 format available.

Message #20 received at 602051@bugs.debian.org (full text, mbox):

From: Chris Coulson <chris.coulson@canonical.com>
To: Benjamin Drung <bdrung@ubuntu.com>, 602051@bugs.debian.org
Cc: Gabriele Giacone <1o5g4r8o@gmail.com>
Subject: Re: Bug#602051: mozilla-devscripts: Please make xpi:Recommends generate versioned target applications
Date: Mon, 15 Nov 2010 14:47:19 +0000
On Sun, 2010-11-14 at 23:29 +0100, Benjamin Drung wrote:

> We could set min and max version if only one package is listed in
> Recommends. For example
> Recommends: iceweasel (>= 3.6), iceweasel (<= 4.0~b2pre)
> 
> But what should mozilla-devscripts do if alternatives like "iceweasel |
> icedove" are generated?
> 
> > Something like
> > Recommends: iceweasel (>= 3.6)
> 
> Setting the min version is doable, but all mozilla application have to
> follow one conversion rule for converting upstream versions to debian
> versions (e.g. 4.0b2pre -> 4.0~b2pre).
> 

Please don't set the max version. This would make the package manager
block a Firefox update if a user has an incompatible extension on their
system. The upstream updater for Firefox doesn't do this, and we don't
want that behaviour from the package manager either (certainly not in
Ubuntu anyway).

Regards
Chris





Information forwarded to debian-bugs-dist@lists.debian.org, Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>:
Bug#602051; Package mozilla-devscripts. (Mon, 15 Nov 2010 14:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Coulson <chris.coulson@canonical.com>:
Extra info received and forwarded to list. Copy sent to Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>. (Mon, 15 Nov 2010 14:57:02 GMT) Full text and rfc822 format available.

Message #25 received at 602051@bugs.debian.org (full text, mbox):

From: Chris Coulson <chris.coulson@canonical.com>
To: 602051@bugs.debian.org
Cc: Gabriele Giacone <1o5g4r8o@gmail.com>, Benjamin Drung <bdrung@ubuntu.com>
Subject: Re: Bug#602051: mozilla-devscripts: Please make xpi:Recommends generate versioned target applications
Date: Mon, 15 Nov 2010 14:53:01 +0000
On Mon, 2010-11-15 at 14:47 +0000, Chris Coulson wrote:

> Please don't set the max version. This would make the package manager
> block a Firefox update if a user has an incompatible extension on their
> system. The upstream updater for Firefox doesn't do this, and we don't
> want that behaviour from the package manager either (certainly not in
> Ubuntu anyway).
> 
> Regards
> Chris
Ok, so ignore that then. As bdrung just pointed out on IRC, we're
talking about recommends rather than depends





Reply sent to Benjamin Drung <bdrung@ubuntu.com>:
You have taken responsibility. (Fri, 26 Nov 2010 00:21:10 GMT) Full text and rfc822 format available.

Notification sent to Gabriele Giacone <1o5g4r8o@gmail.com>:
Bug acknowledged by developer. (Fri, 26 Nov 2010 00:21:10 GMT) Full text and rfc822 format available.

Message #30 received at 602051-close@bugs.debian.org (full text, mbox):

From: Benjamin Drung <bdrung@ubuntu.com>
To: 602051-close@bugs.debian.org
Subject: Bug#602051: fixed in mozilla-devscripts 0.25
Date: Fri, 26 Nov 2010 00:17:12 +0000
Source: mozilla-devscripts
Source-Version: 0.25

We believe that the bug you reported is fixed in the latest version of
mozilla-devscripts, which is due to be installed in the Debian FTP archive:

mozilla-devscripts_0.25.dsc
  to main/m/mozilla-devscripts/mozilla-devscripts_0.25.dsc
mozilla-devscripts_0.25.tar.gz
  to main/m/mozilla-devscripts/mozilla-devscripts_0.25.tar.gz
mozilla-devscripts_0.25_all.deb
  to main/m/mozilla-devscripts/mozilla-devscripts_0.25_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 602051@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Benjamin Drung <bdrung@ubuntu.com> (supplier of updated mozilla-devscripts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 26 Nov 2010 01:02:35 +0100
Source: mozilla-devscripts
Binary: mozilla-devscripts
Architecture: source all
Version: 0.25
Distribution: unstable
Urgency: low
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Changed-By: Benjamin Drung <bdrung@ubuntu.com>
Description: 
 mozilla-devscripts - Collection of dev scripts used by Ubuntu Mozilla packages
Closes: 602051
Changes: 
 mozilla-devscripts (0.25) unstable; urgency=low
 .
   * Fix additional quotation marks in extension ID (LP: #674171).
     - update src/dh_xul-ext
     - update src/install-xpi
   * Update package list for Debian experimental and Ubuntu natty.
     - update src/xul-app-data.csv.Debian
     - update src/xul-app-data.csv.Ubuntu
   * Drop backwards compatibility for Icedove/Thunderbird << 3.0.
     - update src/install-xpi
   * Switch from CDBS to dh 7 and simplifying packaging by improving Makefiles.
     - add Makefile
     - update debian/compat
     - update debian/control
     - remove debian/manpages
     - update debian/rules
     - update src/Makefile
   * Use versioned target applications in Depends instead of unversioned target
     applications in Recommends. All extensions have to add ${xpi:Depends} to
     Depends. (Closes: #602051)
     - update src/dh_xul-ext
     - update src/xpi.mk
Checksums-Sha1: 
 e396d68560488d42b4c211d87ec14ceca98aeac6 1824 mozilla-devscripts_0.25.dsc
 11440e327a8ae87b0184f2928195fa095f46c319 61093 mozilla-devscripts_0.25.tar.gz
 0eeca0f1aad75700c8b689bd18d65b79bb6a8f03 58688 mozilla-devscripts_0.25_all.deb
Checksums-Sha256: 
 675836887082b8330872fdad4133c66e91277e7f4979995f9480487d302b4a8e 1824 mozilla-devscripts_0.25.dsc
 f6290a78c61ad6ed1aa3cd8f9277bd2cc9680ab98a098c96377f528fe14d1d4f 61093 mozilla-devscripts_0.25.tar.gz
 e1f7d7951b5c5872072bdeb88d8566a52cd9089863069134053b909e95e4b701 58688 mozilla-devscripts_0.25_all.deb
Files: 
 0e1107275f783ad2e86822eb312157b0 1824 devel optional mozilla-devscripts_0.25.dsc
 faf0a8e64a3e54b46362b1d0244e6f72 61093 devel optional mozilla-devscripts_0.25.tar.gz
 59eb22221839b0d6821c965bb7842371 58688 devel optional mozilla-devscripts_0.25_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJM7vrkAAoJEBWetcTvyHdMGhkP/2smii3E2CqAsCfgZdpVICb7
AvhQvsiTFEmgCrnmY5/i4y6BfEEQ8d83plAFuoXOjP5b/8gYkF2Ua1449IFN8kv1
BQoBtCR/Cf0zlnsdKW3LZMY3DwVYxzg1/sV2tXrK2WuKSoecRGiJpwHbIZx7d5xE
0N1pOuHUciLAE3ECJEkvP384zpTLpDGf68V7NT4nOTSM80V1kUcyUXyXA4iPBII/
bxDipmlGegPEqnZCsVaWv1gehYEygErlxpN4l8v0CyA/cDkcQx8ENVKGRRKsHM4j
Qu4syt8sL0bK+oV1H+OqnyjOmdCqt6bS88UaFRQZIjwo6WPoI0i9Ofq5w8K2zhGK
pAdH/X/Ijczm05PLL+o5qugrG6J4gryXVVolzvxJ5+lHvM1ZzD7tDtRQX3QSiGx3
EQzViSeoz9HSr6FuaUf33VqLhShUhTlu/if7TEKQZt0DqFZlIxeBYModSSstwhcX
Jggu3YYyIkGzGynV6OrLfy12xdvDgIgzxty7awZVvrtUJjDDMc0qnwx3PmPQv1y1
tGjivlwkU8oXnI957UPWppaGd+ekQfY4bR4dIjySExhOHt8eZh1t8RpapLCzKn65
TYFQ9Ms+UPI0dftSialxta0YHnq7saL/cipEil/Dy0BetH+VM66PbLx6RDtUYEPe
uOZ3+HUkZVHLMEG6RZtU
=4AZh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:09:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:06:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.